all: tables plots
times:
	cd times; ./mktimes.sh
	cd extratimes; ./mkextratimes.sh
plots: times
	Rscript cactus.r
	pdfcrop cactus.pdf cactus.pdf
	Rscript extracactus.r
	pdfcrop extracactus.pdf extracactus.pdf
tables: times
	./collect-stats.sh logs > table.tex
	./collect-stats.sh extralogs > extratable.tex
.PHONY: times
